# Visualization
TKV3d
V3d

# V3d_Light Class Reference

Defines services on Light type objects..
.

`#include <V3d_Light.hxx>`

Inheritance diagram for V3d_Light:

[legend]

## Public Member Functions

Standard_EXPORT void | SetColor (const Quantity_TypeOfColor Type, const Quantity_Parameter V1, const Quantity_Parameter V2, const Quantity_Parameter V3)
| Defines the colour of a light source according to the type of colour definition and the three corresponding values. .
Standard_EXPORT void | SetColor (const Quantity_NameOfColor Name)
| Defines the colour of a light source by giving the name of the colour in the form Quantity_NOC_xxxx . .
Standard_EXPORT void | SetColor (const Quantity_Color &Name)
| Defines the colour of a light source by giving the basic colour. .
Standard_EXPORT void | Color (const Quantity_TypeOfColor Type, Quantity_Parameter &V1, Quantity_Parameter &V2, Quantity_Parameter &V3) const
| Returns the colour of the light source depending of the color type. .
Standard_EXPORT void | Color (Quantity_NameOfColor &Name) const
| Returns the colour of the light source. .
Standard_EXPORT Quantity_Color | Color () const
| Returns the colour of the light source. .
Standard_EXPORT V3d_TypeOfLight | Type () const
| Returns the Type of the Light .
Standard_EXPORT Standard_Boolean | Headlight () const
| returns true if the light is a headlight
Standard_EXPORT Standard_Boolean | IsDisplayed () const
| Returns TRUE when a light representation is displayed .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | V3d_Light (const Handle(V3d_Viewer)&VM)

## Static Protected Member Functions

static Standard_EXPORT void | SymetricPointOnSphere (const Handle(V3d_View)&aView, const Graphic3d_Vertex &Center, const Graphic3d_Vertex &aPoint, const Quantity_Parameter Radius, V3d_Coordinate &X, V3d_Coordinate &Y, V3d_Coordinate &Z, Quantity_Parameter &VX, Quantity_Parameter &VY, Quantity_Parameter &VZ)
| Returns the symetric point coordinates of "aPoint" on the sphere of center "Center" and radius "Radius". VX,VY,VZ is the project vector of view. .

## Protected Attributes

V3d_TypeOfLight | MyType
Handle_Visual3d_Light | MyLight
Handle_Graphic3d_Structure | MyGraphicStructure
Handle_Graphic3d_Structure | MyGraphicStructure1

## Private Member Functions

Standard_EXPORT Handle_Visual3d_Light | Light () const
| Returns the Light of the associated Visual3d. .

## Friends

Standard_EXPORT void | V3d_View::SetLightOn (const Handle(V3d_Light)&MyLight)
| Activates MyLight in the view. .
Standard_EXPORT void | V3d_View::SetLightOn ()
| Activates all the lights defined in this view. .
Standard_EXPORT void | V3d_View::SetLightOff (const Handle(V3d_Light)&MyLight)
| Desactivate MyLight in this view. .
Standard_EXPORT void | V3d_View::SetLightOff ()
| Deactivate all the Lights defined in this view. .

## Constructor & Destructor Documentation

Standard_EXPORT V3d_Light::V3d_Light | ( | const Handle(V3d_Viewer)& | VM | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Quantity_Color V3d_Light::Color | ( |  | ) | const

Standard_EXPORT void V3d_Light::Color | ( | Quantity_NameOfColor & | Name | ) | const

Standard_EXPORT void V3d_Light::Color | ( | const Quantity_TypeOfColor | Type,
|  | Quantity_Parameter & | V1,
|  | Quantity_Parameter & | V2,
|  | Quantity_Parameter & | V3
| ) | const

Standard_EXPORT const V3d_Light::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in V3d_AmbientLight, V3d_DirectionalLight, V3d_PositionalLight, V3d_PositionLight, and V3d_SpotLight.

Standard_EXPORT Standard_Boolean V3d_Light::Headlight | ( |  | ) | const

Standard_EXPORT Standard_Boolean V3d_Light::IsDisplayed | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_Light V3d_Light::Light | ( |  | ) | const`[private]`

Standard_EXPORT void V3d_Light::SetColor | ( | const Quantity_Color & | Name | ) |

Standard_EXPORT void V3d_Light::SetColor | ( | const Quantity_NameOfColor | Name | ) |

Standard_EXPORT void V3d_Light::SetColor | ( | const Quantity_TypeOfColor | Type,
|  | const Quantity_Parameter | V1,
|  | const Quantity_Parameter | V2,
|  | const Quantity_Parameter | V3
| ) |

static Standard_EXPORT void V3d_Light::SymetricPointOnSphere | ( | const Handle(V3d_View)& | aView,
|  | const Graphic3d_Vertex & | Center,
|  | const Graphic3d_Vertex & | aPoint,
|  | const Quantity_Parameter | Radius,
|  | V3d_Coordinate & | X,
|  | V3d_Coordinate & | Y,
|  | V3d_Coordinate & | Z,
|  | Quantity_Parameter & | VX,
|  | Quantity_Parameter & | VY,
|  | Quantity_Parameter & | VZ
| ) | `[static, protected]`

Standard_EXPORT V3d_TypeOfLight V3d_Light::Type | ( |  | ) | const

## Friends And Related Function Documentation

Standard_EXPORT void V3d_View::SetLightOff | ( |  | ) | `[friend]`

Standard_EXPORT void V3d_View::SetLightOff | ( | const Handle(V3d_Light)& | MyLight | ) | `[friend]`

Standard_EXPORT void V3d_View::SetLightOn | ( |  | ) | `[friend]`

Standard_EXPORT void V3d_View::SetLightOn | ( | const Handle(V3d_Light)& | MyLight | ) | `[friend]`

## Field Documentation

Handle_Graphic3d_Structure V3d_Light::MyGraphicStructure `[protected]`

Handle_Graphic3d_Structure V3d_Light::MyGraphicStructure1 `[protected]`

Handle_Visual3d_Light V3d_Light::MyLight `[protected]`

V3d_TypeOfLight V3d_Light::MyType `[protected]`

The documentation for this class was generated from the following file:

- V3d_Light.hxx